> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List cell instances for a cell specification

> List cell instances for a specification with pagination and filtering.

Filter parameters support Supabase filter operators:
- Text fields (name, created_by_email): Use ``ilike.%value%`` for partial
  match
- Date fields: Use ``gte.value``, ``lte.value``, etc.
- Date range: Use created_at_gt and created_at_lt for between queries



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /cell_specifications/{cell_spec_id}/cell_instances
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cell_specifications/{cell_spec_id}/cell_instances:
    get:
      tags:
        - Cell Specifications
        - Cell Instances
      summary: List cell instances for a cell specification
      description: >-
        List cell instances for a specification with pagination and filtering.


        Filter parameters support Supabase filter operators:

        - Text fields (name, created_by_email): Use ``ilike.%value%`` for
        partial
          match
        - Date fields: Use ``gte.value``, ``lte.value``, etc.

        - Date range: Use created_at_gt and created_at_lt for between queries
      operationId: >-
        list_cell_instances_cell_specifications__cell_spec_id__cell_instances_get
      parameters:
        - name: cell_spec_id
          in: path
          required: true
          schema:
            type: string
            title: Cell Spec Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 1000
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: created_by_email
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created By Email
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At
        - name: created_at_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At Gt
        - name: created_at_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At Lt
        - name: updated_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At
        - name: updated_at_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At Gt
        - name: updated_at_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At Lt
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - name
              - created_at
              - updated_at
            type: string
            default: created_at
            title: Order By
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````